## lg-gpio 0.1.6.1

=== Makefile ===
#
# Set CROSS_PREFIX to prepend to all compiler tools at once for easier
# cross-compilation.
CROSS_PREFIX =
CC           = $(CROSS_PREFIX)gcc
AR           = $(CROSS_PREFIX)ar
RANLIB       = $(CROSS_PREFIX)ranlib
SIZE         = $(CROSS_PREFIX)size
STRIP        = $(CROSS_PREFIX)strip
SHLIB        = $(CC) -shared
STRIPLIB     = $(STRIP) --strip-unneeded

SOVERSION    = 1

prefix ?= /usr/local
exec_prefix ?= $(prefix)
bindir ?= $(exec_prefix)/bin
includedir ?= $(prefix)/include
libdir ?= $(prefix)/lib
mandir ?= $(prefix)/man

CFLAGS	+= -O3 -Wall -pthread -fpic
#CFLAGS	+= -O0 -g -Wall -pthread -fpic

# -Wunused-local-typedefs -Wunused-macros -fno-common

LIB_LGPIO = liblgpio.so
LIB_RGPIO = librgpio.so

OBJ_LGPIO = \
   lgCtx.o \
   lgDbg.o \
   lgErr.o \
   lgGpio.o \
   lgHdl.o \
   lgI2C.o \
   lgNotify.o \
   lgPthAlerts.o \
   lgPthTx.o \
   lgSerial.o \
   lgSPI.o \
   lgThread.o \
   lgUtil.o \

OBJ_RGPIO = \
   rgpio.o \
   lgCfg.o \
   lgErr.o \
   lgDbg.o \
   lgMD5.o \

OBJ_RGPIOD = \
   lgCfg.o \
   lgCmd.o \
   lgExec.o \
   lgFile.o \
   lgMD5.o \
   lgPthSocket.o \
   lgScript.o \

OBJ_RGS = \
   lgCmd.o \
   lgCfg.o \
   lgDbg.o \
   lgErr.o \
   lgMD5.o \

DOCS = \
   DOC/src/defs/rgs.def \
   DOC/src/defs/rgpiod.def \
   DOC/src/defs/permits.def \
   DOC/src/defs/scripts.def \
   lgpio.h \
   rgpio.h \

LIB = $(LIB_LGPIO) $(LIB_RGPIO)

ALL = $(LIB) rgpiod rgs DOC/.docs

LINK_LGPIO  = -L. -llgpio -pthread -lrt
LINK_RGPIO  = -L. -lrgpio -pthread -lrt

all: $(ALL)

lib: $(LIB)

rgpio.o: rgpio.c lgpio.h lgCmd.h rgpio.h
	$(CC) $(CFLAGS) -c -o rgpio.o rgpio.c

rgpiod:	rgpiod.o $(OBJ_RGPIOD) $(LIB_LGPIO)
	$(CC) -o rgpiod rgpiod.o $(OBJ_RGPIOD) $(LINK_LGPIO)
	$(STRIP) rgpiod

rgs:	rgs.o $(OBJ_RGS)
	$(CC) -o rgs rgs.o $(OBJ_RGS)
	$(STRIP) rgs

DOC/.docs: $(DOCS)
	@[ -d "DOC" ] && cd DOC && ./cdoc || echo "*** No DOC directory ***"
	touch DOC/.docs

clean:
	rm -f *.o *.i *.s *~ $(ALL) *.so.$(SOVERSION)

ifeq ($(DESTDIR),)
  PYBUILDARGS =
  PYINSTALLARGS =
else
  PYBUILDARGS = --include-dirs=$(DESTDIR)$(includedir) --library-dirs=$(DESTDIR)$(libdir)
  PYINSTALLARGS = --root=$(DESTDIR)
endif

html: $(ALL)
	@[ -d "DOC" ] && cd DOC && ./makedoc || echo "*** No DOC directory ***"

install: $(ALL)
	@install -m 0755 -d                      $(DESTDIR)$(includedir)
	install -m 0644 lgpio.h                  $(DESTDIR)$(includedir)
	install -m 0644 rgpio.h                  $(DESTDIR)$(includedir)
	@install -m 0755 -d                      $(DESTDIR)$(libdir)
	install -m 0755 liblgpio.so.$(SOVERSION) $(DESTDIR)$(libdir)
	install -m 0755 librgpio.so.$(SOVERSION) $(DESTDIR)$(libdir)
	@cd $(DESTDIR)$(libdir) && ln -fs liblgpio.so.$(SOVERSION) liblgpio.so
	@cd $(DESTDIR)$(libdir) && ln -fs librgpio.so.$(SOVERSION) librgpio.so
	@install -m 0755 -d                      $(DESTDIR)$(bindir)
	install -m 0755 rgpiod                   $(DESTDIR)$(bindir)
	install -m 0755 rgs                      $(DESTDIR)$(bindir)
	@install -m 0755 -d                      $(DESTDIR)$(mandir)/man1
	install -m 0644 rgpiod.1                 $(DESTDIR)$(mandir)/man1
	install -m 0644 rgs.1                    $(DESTDIR)$(mandir)/man1
	@install -m 0755 -d                      $(DESTDIR)$(mandir)/man3
	install -m 0644 lgpio.3                  $(DESTDIR)$(mandir)/man3
	install -m 0644 rgpio.3                  $(DESTDIR)$(mandir)/man3
ifeq ($(DESTDIR),)
	ldconfig
endif
	@if which python2; then cd PY_RGPIO && python2 setup.py -q install $(PYINSTALLARGS) || echo "*** install of Python2 rgpio.py failed ***"; fi
	@if which python3; then cd PY_RGPIO && python3 setup.py -q install $(PYINSTALLARGS) || echo "*** install of Python3 rgpio.py failed ***"; fi
	@if which swig; then cd PY_LGPIO && swig -python lgpio.i || echo "*** need swig package to install lgpio.py ***"; fi
	@if which swig python2; then \
		cd PY_LGPIO && \
		python2 setup.py build_ext $(PYBUILDARGS) && \
		python2 setup.py -q install $(PYINSTALLARGS) || \
		echo "*** install of Python2 lgpio.py failed ***"; \
	fi
	@if which swig python3; then \
		cd PY_LGPIO && \
		python3 setup.py build_ext $(PYBUILDARGS) && \
		python3 setup.py -q install $(PYINSTALLARGS) || \
		echo "*** install of Python3 lgpio.py failed ***"; \
	fi

uninstall:
	rm -f $(DESTDIR)$(includedir)/lgpio.h
	rm -f $(DESTDIR)$(includedir)/rgpio.h
	rm -f $(DESTDIR)$(libdir)/liblgpio.so
	rm -f $(DESTDIR)$(libdir)/librgpio.so
	rm -f $(DESTDIR)$(libdir)/liblgpio.so.$(SOVERSION)
	rm -f $(DESTDIR)$(libdir)/librgpio.so.$(SOVERSION)
	rm -f $(DESTDIR)$(bindir)/rgpiod
	rm -f $(DESTDIR)$(bindir)/rgs
	rm -f $(DESTDIR)$(mandir)/man1/rgpiod.1
	rm -f $(DESTDIR)$(mandir)/man1/rgs.1
	rm -f $(DESTDIR)$(mandir)/man3/lgpio.3
	rm -f $(DESTDIR)$(mandir)/man3/rgpio.3
ifeq ($(DESTDIR),)
	ldconfig
endif

$(LIB_LGPIO):	$(OBJ_LGPIO)
	$(SHLIB) -pthread -Wl,-soname,$(LIB_LGPIO).$(SOVERSION) -o $(LIB_LGPIO).$(SOVERSION) $(OBJ_LGPIO)
	ln -fs $(LIB_LGPIO).$(SOVERSION) $(LIB_LGPIO)
	$(STRIPLIB) $(LIB_LGPIO)
	$(SIZE)     $(LIB_LGPIO)

$(LIB_RGPIO):	$(OBJ_RGPIO)
	$(SHLIB) -pthread -Wl,-soname,$(LIB_RGPIO).$(SOVERSION) -o $(LIB_RGPIO).$(SOVERSION) $(OBJ_RGPIO)
	ln -fs $(LIB_RGPIO).$(SOVERSION) $(LIB_RGPIO)
	$(STRIPLIB) $(LIB_RGPIO)
	$(SIZE)     $(LIB_RGPIO)

# generated using gcc -MM *.c

lgCfg.o: lgCfg.c lgCfg.h
lgCmd.o: lgCmd.c lgpio.h rgpiod.h lgCmd.h lgDbg.h
lgCtx.o: lgCtx.c lgpio.h lgDbg.h lgCtx.h
lgDbg.o: lgDbg.c lgpio.h lgDbg.h
lgErr.o: lgErr.c lgpio.h
lgExec.o: lgExec.c lgpio.h rgpiod.h lgCmd.h lgCfg.h lgCtx.h lgDbg.h \
 lgHdl.h lgMD5.h
lgFile.o: lgFile.c lgpio.h rgpiod.h lgCmd.h lgDbg.h lgHdl.h
lgGpio.o: lgGpio.c lgpio.h lgDbg.h lgGpio.h lgHdl.h lgPthAlerts.h \
 lgPthTx.h
lgHdl.o: lgHdl.c lgpio.h lgCtx.h lgDbg.h lgHdl.h
lgI2C.o: lgI2C.c lgpio.h lgDbg.h lgHdl.h
lgMD5.o: lgMD5.c lgpio.h lgMD5.h lgCfg.h
lgNotify.o: lgNotify.c lgpio.h lgDbg.h lgHdl.h
lgPthAlerts.o: lgPthAlerts.c lgDbg.h lgHdl.h lgpio.h lgGpio.h \
 lgPthAlerts.h
lgPthSocket.o: lgPthSocket.c lgpio.h rgpiod.h lgCmd.h lgCtx.h lgDbg.h \
 lgHdl.h
lgPthTx.o: lgPthTx.c lgDbg.h lgHdl.h lgpio.h lgPthTx.h lgGpio.h
lgScript.o: lgScript.c lgpio.h rgpiod.h lgCmd.h lgCtx.h lgDbg.h lgHdl.h
lgSerial.o: lgSerial.c lgpio.h lgDbg.h lgHdl.h
lgSPI.o: lgSPI.c lgpio.h lgDbg.h lgHdl.h
lgThread.o: lgThread.c lgpio.h lgDbg.h
lgUtil.o: lgUtil.c lgpio.h lgDbg.h
rgpio.o: rgpio.c rgpiod.h lgCmd.h lgpio.h rgpio.h lgCfg.h lgDbg.h lgMD5.h
rgpiod.o: rgpiod.c lgpio.h rgpiod.h lgCmd.h lgDbg.h
rgs.o: rgs.c lgpio.h rgpiod.h lgCmd.h lgDbg.h lgMD5.h

=== debian/changelog ===
lg-gpio (0.1.6.1-0ubuntu3) jammy; urgency=medium

  * No-change rebuild with Python 3.10 as default version

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 13 Jan 2022 19:31:42 +0000

lg-gpio (0.1.6.1-0ubuntu2) hirsute; urgency=medium

  * d/copyright: Corrected license for debian packaging files

 -- Dave Jones <dave.jones@canonical.com>  Wed, 24 Mar 2021 11:52:05 +0000

lg-gpio (0.1.6.1-0ubuntu1) hirsute; urgency=medium

  * Initial release (LP: #1916901)

 -- Dave Jones <dave.jones@canonical.com>  Thu, 04 Feb 2021 11:00:21 +0000

=== debian/control ===
Source: lg-gpio
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-dev,
 python3-setuptools,
 swig,
Standards-Version: 4.5.1
Section: electronics
Homepage: https://abyz.me.uk/lg
Rules-Requires-Root: no

Package: liblgpio-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: liblgpio1 (= ${binary:Version}), ${misc:Depends}
Description: Control GPIO pins via the kernel's gpiochip device interface
 The lgpio library is a fully featured library for controlling the GPIO pins
 of the local board. It includes facilities for software PWM, callbacks on
 level change, I2C, SPI, and UART wrappers.
 .
 This package contains the header files needed to use lgpio from C
 applications.

Package: liblgpio1
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Control GPIO pins via the kernel's gpiochip device interface
 The lgpio library is a fully featured library for controlling the GPIO pins
 of the local board. It includes facilities for software PWM, callbacks on
 level change, I2C, SPI, and UART wrappers.
 .
 This package contains the lgpio library itself.

Package: python3-lgpio
Section: python
Architecture: any
Depends:
 liblgpio1 (= ${binary:Version}),
 ${python3:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
Description: Control GPIO pins via the kernel's gpiochip device interface
 The lgpio library is a fully featured library for controlling the GPIO pins
 of the local board. It includes facilities for software PWM, callbacks on
 level change, I2C, SPI, and UART wrappers.
 .
 This package contains the Python 3 bindings for liblgpio.

Package: librgpio-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: librgpio1 (= ${binary:Version}), ${misc:Depends}
Description: Control GPIO pins remotely via rgpiod
 The rgpio library is a fully featured library for controlling the GPIO pins of
 a computer via the rpgio daemon. It includes facilities for software PWM,
 callbacks on level change, I2C, SPI, and UART wrappers. The daemon also
 provides file handling, script and network facilities.
 .
 This package contains the header files needed to control rgpiod from C
 applications.

Package: librgpio1
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Control GPIO pins remotely via rgpiod
 The rgpio library is a fully featured library for controlling the GPIO pins of
 a computer via the rpgio daemon. It includes facilities for software PWM,
 callbacks on level change, I2C, SPI, and UART wrappers. The daemon also
 provides file handling, script and network facilities.
 .
 This package contains the rgpio library itself.

Package: python3-rgpio
Section: python
Architecture: any
Depends:
 librgpio1 (= ${binary:Version}),
 ${python3:Depends},
 ${misc:Depends},
Description: Control GPIO pins remotely via rgpiod
 The rgpio library is a fully featured library for controlling the GPIO pins of
 a computer via the rpgiod daemon. It includes facilities for software PWM,
 callbacks on level change, I2C, SPI, and UART wrappers. The daemon also
 provides file handling, script and network facilities.
 .
 This package contains the Python 3 bindings for librgpio.

Package: rgpiod
Architecture: any
Depends:
 liblgpio1 (= ${binary:Version}),
 ${shlibs:Depends},
 ${misc:Depends},
 adduser,
Suggests: rgs
Description: Daemon permitting remote control of GPIO pins
 The rgpiod daemon provides remote control of the GPIO pins of the local
 computer via TCP sockets. It includes facilities for software PWM, callbacks
 on level change, I2C, SPI, and UART wrappers. It also provides file handling,
 script and network facilities.
 .
 This package contains the rgpiod daemon itself.

Package: rgpio-tools
Architecture: any
Depends: librgpio1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Control GPIO pins remotely
 The rgpiod daemon provides remote control of the GPIO pins of the local
 computer via TCP sockets. It includes facilities for software PWM, callbacks
 on level change, I2C, SPI, and UART wrappers. It also provides file handling,
 script and network facilities.
 .
 This package contains the rgs shell utility which can talk to the rgpiod
 daemon.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export prefix=/usr
export libdir=$(prefix)/lib/$(DEB_HOST_MULTIARCH)


%:
	dh $@ --with python3

get-orig-source:
	debian/get-orig-source

## lg-gpio 0.2.0.0

=== Makefile ===
--- 
+++ 
@@ -19,7 +19,7 @@
 libdir ?= $(prefix)/lib
 mandir ?= $(prefix)/man
 
-CFLAGS	+= -O3 -Wall -pthread -fpic
+CFLAGS	+= -O3 -Wall -pthread -fpic $(CPPFLAGS)
 #CFLAGS	+= -O0 -g -Wall -pthread -fpic
 
 # -Wunused-local-typedefs -Wunused-macros -fno-common
@@ -88,11 +88,11 @@
 	$(CC) $(CFLAGS) -c -o rgpio.o rgpio.c
 
 rgpiod:	rgpiod.o $(OBJ_RGPIOD) $(LIB_LGPIO)
-	$(CC) -o rgpiod rgpiod.o $(OBJ_RGPIOD) $(LINK_LGPIO)
+	$(CC) $(LDFLAGS) -o rgpiod rgpiod.o $(OBJ_RGPIOD) $(LINK_LGPIO)
 	$(STRIP) rgpiod
 
 rgs:	rgs.o $(OBJ_RGS)
-	$(CC) -o rgs rgs.o $(OBJ_RGS)
+	$(CC) $(LDFLAGS) -o rgs rgs.o $(OBJ_RGS)
 	$(STRIP) rgs
 
 DOC/.docs: $(DOCS)
@@ -168,13 +168,13 @@
 endif
 
 $(LIB_LGPIO):	$(OBJ_LGPIO)
-	$(SHLIB) -pthread -Wl,-soname,$(LIB_LGPIO).$(SOVERSION) -o $(LIB_LGPIO).$(SOVERSION) $(OBJ_LGPIO)
+	$(SHLIB) -pthread $(LDFLAGS) -Wl,-soname,$(LIB_LGPIO).$(SOVERSION) -o $(LIB_LGPIO).$(SOVERSION) $(OBJ_LGPIO)
 	ln -fs $(LIB_LGPIO).$(SOVERSION) $(LIB_LGPIO)
 	$(STRIPLIB) $(LIB_LGPIO)
 	$(SIZE)     $(LIB_LGPIO)
 
 $(LIB_RGPIO):	$(OBJ_RGPIO)
-	$(SHLIB) -pthread -Wl,-soname,$(LIB_RGPIO).$(SOVERSION) -o $(LIB_RGPIO).$(SOVERSION) $(OBJ_RGPIO)
+	$(SHLIB) -pthread $(LDFLAGS) -Wl,-soname,$(LIB_RGPIO).$(SOVERSION) -o $(LIB_RGPIO).$(SOVERSION) $(OBJ_RGPIO)
 	ln -fs $(LIB_RGPIO).$(SOVERSION) $(LIB_RGPIO)
 	$(STRIPLIB) $(LIB_RGPIO)
 	$(SIZE)     $(LIB_RGPIO)

=== debian/changelog ===
lg-gpio (0.2.0.0-0ubuntu4) plucky; urgency=medium

  * No-change rebuild for Python 3.13 as the default.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 03 Jan 2025 11:57:22 +0100

lg-gpio (0.2.0.0-0ubuntu3) noble; urgency=medium

  * No-change rebuild with Python 3.12 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 19 Jan 2024 19:51:05 +0000

lg-gpio (0.2.0.0-0ubuntu2) lunar; urgency=medium

  * No-change rebuild with Python 3.11 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Sun, 25 Dec 2022 20:05:41 +0000

lg-gpio (0.2.0.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (LP: #1992107)
  * Removed patches merged upstream:
    - d/p/add-bias.patch
    - d/p/fix-groff-warnings.patch
  * d/control: Fixed architecture for python3-rgpio package
  * d/copyright: Simplified licensing (everything in public-domain)
  * d/lib*.symbols: Added symbols definitions for liblgpio1 and librgpio1
  * d/rgpiod.postrm: Fixed error on removal of rgpiod group

 -- Dave Jones <dave.jones@canonical.com>  Thu, 21 Jul 2022 13:16:04 +0100

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,11 @@
  python3-dev,
  python3-setuptools,
  swig,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1.0
 Section: electronics
 Homepage: https://abyz.me.uk/lg
+Vcs-Git: https://salsa.debian.org/python-team/packages/lg-gpio.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/lg-gpio
 Rules-Requires-Root: no
 
 Package: liblgpio-dev
@@ -17,7 +19,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: liblgpio1 (= ${binary:Version}), ${misc:Depends}
-Description: Control GPIO pins via the kernel's gpiochip device interface
+Description: Control GPIO pins via gpiochip devices - static libraries and headers
  The lgpio library is a fully featured library for controlling the GPIO pins
  of the local board. It includes facilities for software PWM, callbacks on
  level change, I2C, SPI, and UART wrappers.
@@ -30,7 +32,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: Control GPIO pins via the kernel's gpiochip device interface
+Description: Control GPIO pins via gpiochip devices - shared libraries
  The lgpio library is a fully featured library for controlling the GPIO pins
  of the local board. It includes facilities for software PWM, callbacks on
  level change, I2C, SPI, and UART wrappers.
@@ -45,7 +47,7 @@
  ${python3:Depends},
  ${shlibs:Depends},
  ${misc:Depends},
-Description: Control GPIO pins via the kernel's gpiochip device interface
+Description: Control GPIO pins via gpiochip devices - python3 bindings
  The lgpio library is a fully featured library for controlling the GPIO pins
  of the local board. It includes facilities for software PWM, callbacks on
  level change, I2C, SPI, and UART wrappers.
@@ -57,7 +59,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: librgpio1 (= ${binary:Version}), ${misc:Depends}
-Description: Control GPIO pins remotely via rgpiod
+Description: Control GPIO pins remotely via rgpiod - static libraries and headers
  The rgpio library is a fully featured library for controlling the GPIO pins of
  a computer via the rpgio daemon. It includes facilities for software PWM,
  callbacks on level change, I2C, SPI, and UART wrappers. The daemon also
@@ -71,7 +73,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: Control GPIO pins remotely via rgpiod
+Description: Control GPIO pins remotely via rgpiod - shared libraries
  The rgpio library is a fully featured library for controlling the GPIO pins of
  a computer via the rpgio daemon. It includes facilities for software PWM,
  callbacks on level change, I2C, SPI, and UART wrappers. The daemon also
@@ -81,12 +83,12 @@
 
 Package: python3-rgpio
 Section: python
-Architecture: any
+Architecture: all
 Depends:
- librgpio1 (= ${binary:Version}),
+ librgpio1 (>= ${source:Version}),
  ${python3:Depends},
  ${misc:Depends},
-Description: Control GPIO pins remotely via rgpiod
+Description: Control GPIO pins remotely via rgpiod - python3 bindings
  The rgpio library is a fully featured library for controlling the GPIO pins of
  a computer via the rpgiod daemon. It includes facilities for software PWM,
  callbacks on level change, I2C, SPI, and UART wrappers. The daemon also

## lg-gpio 0.2.2

=== debian/changelog ===
lg-gpio (0.2.2-1~rpt1) bookworm; urgency=medium

  * New upstream version 0.2.2
  * Rebuild for Raspberry Pi OS

 -- Serge Schneider <serge@raspberrypi.com>  Tue, 05 Sep 2023 09:08:43 +0100

lg-gpio (0.2.0.0-1) unstable; urgency=medium

  * Initial Debian release (Closes: #998243)

 -- Dave Jones <dave@waveform.org.uk>  Wed, 23 Jun 2021 15:24:18 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: lg-gpio
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Uploaders: Dave Jones <dave@waveform.org.uk>
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
  python3-dev,
  python3-setuptools,
  swig,
-Standards-Version: 4.6.1.0
+Standards-Version: 4.5.1
 Section: electronics
 Homepage: https://abyz.me.uk/lg
 Vcs-Git: https://salsa.debian.org/python-team/packages/lg-gpio.git
